package com.bocloud.nms.model.campus;

import java.util.Date;

public class OnlineUserModel {

    private Long originId; // 在线用户 ID，唯一性标识一个在线用户。
    private String userName; // 帐号名。
    private String serviceName; // 登录名
    private String fullName; // 用户姓名
    private String serviceTemplateName; // 服务名称
    private String nasIp; // 接入设备IP地址
    private String framedIp; // 用户IP地址
    private Date customerizedTime; // 客户端定制时间
    private String macAddress; // 用户MAC地址
    private Integer nasPort; // 设备端口
    private String deviceSn; // 设备序列号
    private String imsiCode; // IMSI 号码
    private Long connectId; // 连接标识
    private String eventSeqId; // 会话标识
    private Date updateTime; // 上次更新时间
    private Integer ifDeviceIndependent; // 设备无关
    private String clientLang; // 客户端语言
    private String clientVersion; // 客户端版本
    private Integer clientPort; // 客户端端口号
    private Integer nasSlot; // 设备槽号
    private Integer nasSubSlot; // 设备子槽号
    private String natIp; // 接入设备NATIP地址
    private Date timestamp; // 登录时戳
    private String innerVlanId; // VLAN ID/内层VLAN ID
    private String outerVlanId; // 外层VLAN ID
    private String inOctetsTotal; // 上传字节数
    private String outOctetsTotal; // 下载字节数
    private Integer fluxStatus; // 流量状态
    private String wlanSsid; // 无线用户SSID
    private String computerName; // 计算机名称
    private String boundDomainName; // 绑定域
    private String logonDomainName; // 登录域
    private Integer proxyType; // 代理类型
    private String proxyIpSrc; // 代理接入地址
    private String proxyIpDes; // 代理转出地址
    private String proxyUser; // 代理用户名
    private String osType; // 操作系统内核版本
    private String framedIPv6; // IPv6地址
    private String acl; // 客户端acl
    private Date beginTime; // 接入开始时间
    private Long sessionTime; // 接入时长
    private Integer safeState; // 安全状态
    private String osVersion; // 操作系统版本
    private String osKernelVersion; // 操作系统内核版本
    private String terminalType; // 终端类型
    private String terminalVendor; // 终端厂商
    private String terminalOs; // 终端操作系统
    private String nasId; // NAS ID
    private String imeiCode; // IMEI 号码
    private String harddiskSn; // 硬盘序列号

    public Long getOriginId() {
        return originId;
    }

    public void setOriginId(Long originId) {
        this.originId = originId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getServiceTemplateName() {
        return serviceTemplateName;
    }

    public void setServiceTemplateName(String serviceTemplateName) {
        this.serviceTemplateName = serviceTemplateName;
    }

    public String getNasIp() {
        return nasIp;
    }

    public void setNasIp(String nasIp) {
        this.nasIp = nasIp;
    }

    public String getFramedIp() {
        return framedIp;
    }

    public void setFramedIp(String framedIp) {
        this.framedIp = framedIp;
    }

    public Date getCustomerizedTime() {
        return customerizedTime;
    }

    public void setCustomerizedTime(Date customerizedTime) {
        this.customerizedTime = customerizedTime;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public Integer getNasPort() {
        return nasPort;
    }

    public void setNasPort(Integer nasPort) {
        this.nasPort = nasPort;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getImsiCode() {
        return imsiCode;
    }

    public void setImsiCode(String imsiCode) {
        this.imsiCode = imsiCode;
    }

    public Long getConnectId() {
        return connectId;
    }

    public void setConnectId(Long connectId) {
        this.connectId = connectId;
    }

    public String getEventSeqId() {
        return eventSeqId;
    }

    public void setEventSeqId(String eventSeqId) {
        this.eventSeqId = eventSeqId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIfDeviceIndependent() {
        return ifDeviceIndependent;
    }

    public void setIfDeviceIndependent(Integer ifDeviceIndependent) {
        this.ifDeviceIndependent = ifDeviceIndependent;
    }

    public String getClientLang() {
        return clientLang;
    }

    public void setClientLang(String clientLang) {
        this.clientLang = clientLang;
    }

    public String getClientVersion() {
        return clientVersion;
    }

    public void setClientVersion(String clientVersion) {
        this.clientVersion = clientVersion;
    }

    public Integer getClientPort() {
        return clientPort;
    }

    public void setClientPort(Integer clientPort) {
        this.clientPort = clientPort;
    }

    public Integer getNasSlot() {
        return nasSlot;
    }

    public void setNasSlot(Integer nasSlot) {
        this.nasSlot = nasSlot;
    }

    public Integer getNasSubSlot() {
        return nasSubSlot;
    }

    public void setNasSubSlot(Integer nasSubSlot) {
        this.nasSubSlot = nasSubSlot;
    }

    public String getNatIp() {
        return natIp;
    }

    public void setNatIp(String natIp) {
        this.natIp = natIp;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public String getInnerVlanId() {
        return innerVlanId;
    }

    public void setInnerVlanId(String innerVlanId) {
        this.innerVlanId = innerVlanId;
    }

    public String getOuterVlanId() {
        return outerVlanId;
    }

    public void setOuterVlanId(String outerVlanId) {
        this.outerVlanId = outerVlanId;
    }

    public String getInOctetsTotal() {
        return inOctetsTotal;
    }

    public void setInOctetsTotal(String inOctetsTotal) {
        this.inOctetsTotal = inOctetsTotal;
    }

    public String getOutOctetsTotal() {
        return outOctetsTotal;
    }

    public void setOutOctetsTotal(String outOctetsTotal) {
        this.outOctetsTotal = outOctetsTotal;
    }

    public Integer getFluxStatus() {
        return fluxStatus;
    }

    public void setFluxStatus(Integer fluxStatus) {
        this.fluxStatus = fluxStatus;
    }

    public String getWlanSsid() {
        return wlanSsid;
    }

    public void setWlanSsid(String wlanSsid) {
        this.wlanSsid = wlanSsid;
    }

    public String getComputerName() {
        return computerName;
    }

    public void setComputerName(String computerName) {
        this.computerName = computerName;
    }

    public String getBoundDomainName() {
        return boundDomainName;
    }

    public void setBoundDomainName(String boundDomainName) {
        this.boundDomainName = boundDomainName;
    }

    public String getLogonDomainName() {
        return logonDomainName;
    }

    public void setLogonDomainName(String logonDomainName) {
        this.logonDomainName = logonDomainName;
    }

    public Integer getProxyType() {
        return proxyType;
    }

    public void setProxyType(Integer proxyType) {
        this.proxyType = proxyType;
    }

    public String getProxyIpSrc() {
        return proxyIpSrc;
    }

    public void setProxyIpSrc(String proxyIpSrc) {
        this.proxyIpSrc = proxyIpSrc;
    }

    public String getProxyIpDes() {
        return proxyIpDes;
    }

    public void setProxyIpDes(String proxyIpDes) {
        this.proxyIpDes = proxyIpDes;
    }

    public String getProxyUser() {
        return proxyUser;
    }

    public void setProxyUser(String proxyUser) {
        this.proxyUser = proxyUser;
    }

    public String getOsType() {
        return osType;
    }

    public void setOsType(String osType) {
        this.osType = osType;
    }

    public String getFramedIPv6() {
        return framedIPv6;
    }

    public void setFramedIPv6(String framedIPv6) {
        this.framedIPv6 = framedIPv6;
    }

    public String getAcl() {
        return acl;
    }

    public void setAcl(String acl) {
        this.acl = acl;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Long getSessionTime() {
        return sessionTime;
    }

    public void setSessionTime(Long sessionTime) {
        this.sessionTime = sessionTime;
    }

    public Integer getSafeState() {
        return safeState;
    }

    public void setSafeState(Integer safeState) {
        this.safeState = safeState;
    }

    public String getOsVersion() {
        return osVersion;
    }

    public void setOsVersion(String osVersion) {
        this.osVersion = osVersion;
    }

    public String getOsKernelVersion() {
        return osKernelVersion;
    }

    public void setOsKernelVersion(String osKernelVersion) {
        this.osKernelVersion = osKernelVersion;
    }

    public String getTerminalType() {
        return terminalType;
    }

    public void setTerminalType(String terminalType) {
        this.terminalType = terminalType;
    }

    public String getTerminalVendor() {
        return terminalVendor;
    }

    public void setTerminalVendor(String terminalVendor) {
        this.terminalVendor = terminalVendor;
    }

    public String getTerminalOs() {
        return terminalOs;
    }

    public void setTerminalOs(String terminalOs) {
        this.terminalOs = terminalOs;
    }

    public String getNasId() {
        return nasId;
    }

    public void setNasId(String nasId) {
        this.nasId = nasId;
    }

    public String getImeiCode() {
        return imeiCode;
    }

    public void setImeiCode(String imeiCode) {
        this.imeiCode = imeiCode;
    }

    public String getHarddiskSn() {
        return harddiskSn;
    }

    public void setHarddiskSn(String harddiskSn) {
        this.harddiskSn = harddiskSn;
    }
}
